/**
 * This file is part of GenomeView, a genome browser and annotation curator
 * 
 * Copyright (C) 2007-2017 Thomas Abeel and contributors
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see http://www.gnu.org/licenses/.
 *
 * Project: http://genomeview.org/
 */
package net.sf.jannot;

import java.util.ArrayList;
import java.util.HashSet;
import java.util.Iterator;
import java.util.List;
import java.util.Set;
/**
 * 
 * @author Thomas Abeel
 *
 */
public class SyntenicAnnotation extends EntrySetAnnotation<SyntenicBlock> {

	private List<SyntenicBlock>syntenicBlocks=new ArrayList<SyntenicBlock>();
	@Override
	public List<SyntenicBlock> get(Entry e,Location l) {
		return syntenicBlocks;
	}
	private HashSet<String>targets=new HashSet<String>();
	@Override
	public void add(SyntenicBlock t) {
		syntenicBlocks.add(t);
		targets.add(t.target());
//		setChanged();
//		notifyObservers();
		
	}
	@Override
	public List<SyntenicBlock> getAll(Entry e) {
		return syntenicBlocks;
	}
	public Set<String> getTargets() {
		return targets;
	}
	@Override
	public Iterator<SyntenicBlock> iterator() {
		return syntenicBlocks.iterator();
	}
	/* (non-Javadoc)
	 * @see net.sf.jannot.EntrySetAnnotation#contains(java.lang.Object)
	 */
	@Override
	public boolean contains(SyntenicBlock t) {
		return syntenicBlocks.contains(t);
	}
	/**
	 * 
	 */
	public void clear() {
		syntenicBlocks.clear();
		
	}
}
